/**************************************************************************

Copyright (c) 2016, Intel Corporation

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of Intel Corporation nor the names of its contributors
      may be used to endorse or promote products derived from this software
      without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

***************************************************************************/

#include <wol.h>

_WOL_DEVICE_INFO_t const WOL_DEVICE_INFO_TABLE[] = {
/* Vendor   DeviceID SubVendor SubSystem  WoL*/


#if defined(WOL_10G)
 { 0x8086, 0x10A6, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB Multi-Function Network Device */
 { 0x8086, 0x10B6, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit KX4 Network Connection */
 { 0x8086, 0x10C6, 0x8086, 0xA05F, 0x0 }, /* Intel(R) 10 Gigabit XF SR Dual Port Server Adapter */
 { 0x8086, 0x10C6, 0x8086, 0xA15F, 0x0 }, /* Intel(R) 10 Gigabit XF SR Dual Port Server Adapter */
 { 0x8086, 0x10C6, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AF Dual Port Network Connection */
 { 0x8086, 0x10C7, 0x8086, 0xA05F, 0x0 }, /* Intel(R) 10 Gigabit XF SR Server Adapter */
 { 0x8086, 0x10C7, 0x8086, 0xA15F, 0x0 }, /* Intel(R) 10 Gigabit XF SR Server Adapter */
 { 0x8086, 0x10C7, 0x8086, 0xA16F, 0x0 }, /* Intel(R) 10 Gigabit XF SR Server Adapter */
 { 0x8086, 0x10C7, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AF Network Connection */
 { 0x8086, 0x10C8, 0x8086, 0xA10C, 0x0 }, /* Intel(R) 10 Gigabit AT Server Adapter */
 { 0x8086, 0x10C8, 0x8086, 0xA11C, 0x0 }, /* Intel(R) 10 Gigabit AT Server Adapter */
 { 0x8086, 0x10C8, 0x8086, 0xA12C, 0x0 }, /* Intel(R) 10 Gigabit AT Server Adapter */
 { 0x8086, 0x10C8, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AT Network Connection */
 { 0x8086, 0x10DB, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit Dual Port Network Connection */
 { 0x8086, 0x10DD, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AT CX4 Network Connection */
 { 0x8086, 0x10E1, 0x108E, 0xB25F, 0x0 }, /* Intel(R) 10 Gigabit SR Dual Port Express Module */
 { 0x8086, 0x10E1, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 10 Gigabit SR Dual Port Express Module */
 { 0x8086, 0x10EC, 0x8086, 0xA01F, 0x0 }, /* Intel(R) 10 Gigabit CX4 Dual Port Server Adapter */
 { 0x8086, 0x10EC, 0x8086, 0xA11F, 0x0 }, /* Intel(R) 10 Gigabit CX4 Dual Port Server Adapter */
 { 0x8086, 0x10EC, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 10 Gigabit CX4 Dual Port Server Adapter */
 { 0x8086, 0x10ED, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 Virtual Function */
 { 0x8086, 0x10F1, 0x8086, 0xA20F, 0x0 }, /* Intel(R) 10 Gigabit AF DA Dual Port Server Adapter */
 { 0x8086, 0x10F1, 0x8086, 0xA21F, 0x0 }, /* Intel(R) 10 Gigabit AF DA Dual Port Server Adapter */
 { 0x8086, 0x10F1, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 10 Gigabit AF DA Dual Port Server Adapter */
 { 0x8086, 0x10F4, 0x8086, 0xA06F, 0x0 }, /* Intel(R) 10 Gigabit XF LR Server Adapter */
 { 0x8086, 0x10F4, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AF Network Connection */
 { 0x8086, 0x10F7, 0x108E, 0x7B12, 0x0 }, /* Sun Dual 10GbE PCIe 2.0 FEM */
 { 0x8086, 0x10F7, 0x8086, 0x000D, 0xF }, /* Intel(R) Ethernet Mezzanine Adapter X520-KX4-2 */
 { 0x8086, 0x10F7, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 10 Gigabit BR KX4 Dual Port Network Connection */
 { 0x8086, 0x10F8, 0x1028, 0x1F63, 0xF }, /* Intel(R) Ethernet 10G 2P X520-k bNDC */
 { 0x8086, 0x10F8, 0x103C, 0x17D2, 0xF }, /* HP Ethernet 10Gb 2-port 560M Adapter */
 { 0x8086, 0x10F8, 0x103C, 0x18D0, 0xF }, /* HP Ethernet 10Gb 2-port 560FLB Adapter */
 { 0x8086, 0x10F8, 0x8086, 0x000C, 0x0 }, /* Intel(R) Ethernet X520 10GbE Dual Port KX4-KR Mezz */
 { 0x8086, 0x10F8, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) 82599 10 Gigabit Dual Port Backplane Connection */
 { 0x8086, 0x10F9, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit CX4 Dual Port Network Connection */
 { 0x8086, 0x10FB, 0x1028, 0x06EE, 0xF }, /* Intel(R) Ethernet 10G X520 LOM */
 { 0x8086, 0x10FB, 0x1028, 0x1F72, 0xF }, /* Intel(R) Ethernet 10G 4P X520/I350 rNDC */
 { 0x8086, 0x10FB, 0x103C, 0x17D0, 0x1 }, /* HP Ethernet 10Gb 2-port 560FLR-SFP+ Adapter */
 { 0x8086, 0x10FB, 0x103C, 0x17D3, 0x0 }, /* HP Ethernet 10Gb 2-port 560SFP+ Adapter */
 { 0x8086, 0x10FB, 0x103C, 0x211B, 0xF }, /* HP Ethernet 10Gb 1-port P560FLR-SFP+ Adapter */
 { 0x8086, 0x10FB, 0x103C, 0x2159, 0x1 }, /* HP Ethernet 10Gb 2-port 562i Adapter */
 { 0x8086, 0x10FB, 0x108E, 0x7B11, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0x152D, 0x8975, 0x0 }, /* Intel(R) 82599 10 Gigabit Dual Port Network Connection */
 { 0x8086, 0x10FB, 0x1734, 0x11A9, 0x1 }, /* Intel(R) 82599 10 Gigabit Dual Port Network Connection */
 { 0x8086, 0x10FB, 0x17AA, 0x1071, 0x1 }, /* Lenovo ThinkServer X520-2 AnyFabric */
 { 0x8086, 0x10FB, 0x8086, 0x0002, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-DA2 */
 { 0x8086, 0x10FB, 0x8086, 0x0003, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0x8086, 0x0006, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-1 */
 { 0x8086, 0x10FB, 0x8086, 0x0008, 0x1 }, /* Intel(R) Ethernet OCP Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0x8086, 0x000A, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-1 */
 { 0x8086, 0x10FB, 0x8086, 0x000C, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0x8086, 0x0470, 0xF }, /* Intel(R) Ethernet 10GSFP+ DP Embedded CNA X520-2 */
 { 0x8086, 0x10FB, 0x8086, 0x7A11, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0x8086, 0x7A12, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-2 */
 { 0x8086, 0x10FB, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit Dual Port Network Connection */
 { 0x8086, 0x10FC, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit Dual Port Network Connection */
 { 0x8086, 0x1507, 0x108E, 0x7B10, 0x0 }, /* Intel(R) Ethernet ExpressModule X520-P2 */
 { 0x8086, 0x150B, 0x8086, 0xA10C, 0x0 }, /* Intel(R) 10 Gigabit AT2 Server Adapter */
 { 0x8086, 0x150B, 0x8086, 0xA11C, 0x0 }, /* Intel(R) 10 Gigabit AT2 Server Adapter */
 { 0x8086, 0x150B, 0x8086, 0xA12C, 0x0 }, /* Intel(R) 10 Gigabit AT2 Server Adapter */
 { 0x8086, 0x150B, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82598EB 10 Gigabit AT2 Network Connection */
 { 0x8086, 0x1514, 0x8086, 0x000B, 0x0 }, /* Intel(R) Ethernet X520 10GbE Dual Port KX4 Mezz */
 { 0x8086, 0x1515, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X540 Virtual Function */
 { 0x8086, 0x1517, 0x1137, 0x006A, 0x0 }, /* Cisco UCS CNA M61KR-I Intel Converged Network Adapter */
 { 0x8086, 0x151C, 0x108E, 0x7B13, 0x0 }, /* Sun Dual 10GBASE-T LP */
 { 0x8086, 0x151C, 0x8086, 0xA02C, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-T2 */
 { 0x8086, 0x151C, 0x8086, 0xA03C, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-T2 */
 { 0x8086, 0x151C, 0x8086, 0xA21C, 0x0 }, /* Intel(R) Ethernet Server Adapter X520-T2 */
 { 0x8086, 0x151C, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit TN Network Connection */
 { 0x8086, 0x1528, 0x1028, 0x1F61, 0xF }, /* Intel(R) Ethernet 10G 4P X540/I350 rNDC */
 { 0x8086, 0x1528, 0x103C, 0x192D, 0x1 }, /* HP Ethernet 10Gb 2-port 561FLR-T Adapter */
 { 0x8086, 0x1528, 0x103C, 0x211A, 0x0 }, /* HP Ethernet 10Gb 2-port 561T Adapter */
 { 0x8086, 0x1528, 0x108E, 0x7B14, 0x0 }, /* Sun Dual Port 10 GbE PCIe 2.0 ExpressModule, Base-T */
 { 0x8086, 0x1528, 0x108E, 0x7B15, 0x0 }, /* Sun Dual Port 10 GbE PCIe 2.0 Low Profile Adapter, Base-T */
 { 0x8086, 0x1528, 0x1137, 0x00BF, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X540-T2 */
 { 0x8086, 0x1528, 0x1137, 0x00D4, 0x0 }, /* Cisco X540-TX 10 Gig LOM */
 { 0x8086, 0x1528, 0x17AA, 0x1073, 0xF }, /* Lenovo ThinkServer X540-T2 AnyFabric */
 { 0x8086, 0x1528, 0x8086, 0x0001, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X540-T2 */
 { 0x8086, 0x1528, 0x8086, 0x0002, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X540-T1 */
 { 0x8086, 0x1528, 0x8086, 0x001A, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X540-T2 */
 { 0x8086, 0x1528, 0x8086, 0x00A2, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X540-T1 */
 { 0x8086, 0x1528, 0x8086, 0x0471, 0xF }, /* Intel(R) Ethernet 10GBT DP Embedded CNA X540-T2 */
 { 0x8086, 0x1528, 0x8086, 0x5003, 0x0 }, /* Intel(R) Ethernet 10G 2P X540-t Adapter */
 { 0x8086, 0x1528, 0x8086, 0x5004, 0x0 }, /* Intel(R) Ethernet 10G 2P X540-t Adapter */
 { 0x8086, 0x1528, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Controller X540-AT2 */
 { 0x8086, 0x1529, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit Dual Port Network Connection with FCoE */
 { 0x8086, 0x152A, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) 82599 10 Gigabit Dual Port Backplane Connection with FCoE */
 { 0x8086, 0x152E, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 Virtual Function */
 { 0x8086, 0x1530, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X540 Virtual Function */
 { 0x8086, 0x154A, 0x8086, 0x011A, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X520-4 */
 { 0x8086, 0x154A, 0x8086, 0x011B, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X520-4 */
 { 0x8086, 0x154A, 0x8086, 0x011C, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X520-4 */
 { 0x8086, 0x154D, 0x8086, 0x7B11, 0x0 }, /* Intel(R) Ethernet 10G 2P X520 Adapter */
 { 0x8086, 0x1557, 0x8086, 0x0001, 0xF }, /* Intel(R) Ethernet OCP Server Adapter X520-1 */
 { 0x8086, 0x1557, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) 82599 10 Gigabit Network Connection */
 { 0x8086, 0x1558, 0x8086, 0x011A, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X520-Q1 */
 { 0x8086, 0x1558, 0x8086, 0x011B, 0x0 }, /* Intel(R) Ethernet Converged Network Adapter X520-Q1 */
 { 0x8086, 0x1560, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Controller X540 */
 { 0x8086, 0x1563, 0x1590, 0x001D, 0x0 }, /* HPE Ethernet 10Gb 2-port 562T Adapter */
 { 0x8086, 0x1563, 0x8086, 0x0001, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T2 */
 { 0x8086, 0x1563, 0x8086, 0x001A, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T2 */
 { 0x8086, 0x1563, 0x8086, 0x001D, 0x0 }, /* Intel(R) Ethernet 10G 2P X550-t Adapter */
 { 0x8086, 0x1563, 0x8086, 0x0022, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T2 */
 { 0x8086, 0x1563, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Controller X550 */
 { 0x8086, 0x1564, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X550 Virtual Function */
 { 0x8086, 0x1565, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X550 Virtual Function */
 { 0x8086, 0x15A8, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X552 Virtual Function */
 { 0x8086, 0x15A9, 0xFFFF, 0xFFFF, 0x0 }, /* Intel(R) X552 Virtual Function */
 { 0x8086, 0x15AA, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X552 10 GbE Backplane */
 { 0x8086, 0x15AB, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X552 10 GbE Backplane */
 { 0x8086, 0x15AC, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X552 10 GbE SFP+ */
 { 0x8086, 0x15AD, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X552/X557-AT 10GBASE-T */
 { 0x8086, 0x15C2, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 10 GbE Backplane */
 { 0x8086, 0x15C3, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 1 GbE Backplane */
 { 0x8086, 0x15C4, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 10 GbE SFP+ */
 { 0x8086, 0x15C6, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 1GbE */
 { 0x8086, 0x15C7, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 1GbE */
 { 0x8086, 0x15C8, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553/X557-AT 10GBASE-T */
 { 0x8086, 0x15CA, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 QSFP+ */
 { 0x8086, 0x15CC, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Connection X553 QSFP+ */
 { 0x8086, 0x15D1, 0x8086, 0x0002, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T1 */
 { 0x8086, 0x15D1, 0x8086, 0x0021, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T1 */
 { 0x8086, 0x15D1, 0x8086, 0x00A2, 0xF }, /* Intel(R) Ethernet Converged Network Adapter X550-T1 */
 { 0x8086, 0x15D1, 0xFFFF, 0xFFFF, 0xF }, /* Intel(R) Ethernet Controller X550 */
#endif /* WOL_10G */


 {      0,      0,      0,      0,   0 }  /* Last entry */
};

